MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030118Open CASCADE[OCCT] OCCT:DRAWpublic2018-09-10 11:282018-09-15 17:11
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030118: Draw Harness - extend vcomputehlr command with HLR algo type
Descriptionvcomputehlr uses HLRBRep_PolyAlgo unconditionally, while it is expected that user should be able choosing between HLRBRep_PolyAlgo and HLRBRep_Algo (see vhlr).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0079082)
git (administrator)
2018-09-10 12:29

Branch CR30118 has been created by kgv.

SHA-1: 7873a55d25da4f8315d5f4c9a745cc3b83aad2d6


Detailed log of new commits:

Author: kgv
Date: Mon Sep 10 12:25:29 2018 +0300

    0030118: Draw Harness - extend vcomputehlr command with HLR algo type
    
    vcomputehlr has been extended with -algoType argument
    and sets result as DBRep shape in addition to displaying AIS_Shape.
(0079092)
git (administrator)
2018-09-10 15:49

Branch CR30118 has been updated forcibly by kgv.

SHA-1: c7473fb19b82da82501eda2a6eb92103c4323559
(0079094)
kgv (developer)
2018-09-10 16:14
edited on: 2018-09-10 19:04

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com/view/CR30118-master-KGV [^]

(0079133)
san (developer)
2018-09-11 19:44

Branch CR30118 reviewed without remarks.
(0079136)
bugmaster (administrator)
2018-09-11 20:31

Combination -
OCCT branch : CR30118 SHA - c7473fb19b82da82501eda2a6eb92103c4323559
Products branch : master SHA - 1cfd7530b31d67df5934df8f8482970efcc7aae9
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17807.569999999778 / 17645.18999999985 [+0.92%]
Products
Total CPU difference: 7465.080000000064 / 7452.260000000036 [+0.17%]
Windows-64-VC14:
OCCT
Total CPU difference: 17566.75780669852 / 17465.887560098538 [+0.58%]
Products
Total CPU difference: 8299.580802099992 / 8331.295805399992 [-0.38%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master c60ec7f5
Timestamp: 2018-09-10 09:25:29
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030118: Draw Harness - extend vcomputehlr command with HLR algo type

vcomputehlr has been extended with -algoType argument
and sets result as DBRep shape in addition to displaying AIS_Shape.
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-09-10 11:28 kgv New Issue
2018-09-10 11:28 kgv Assigned To => kgv
2018-09-10 12:29 git Note Added: 0079082
2018-09-10 15:49 git Note Added: 0079092
2018-09-10 16:14 kgv Note Added: 0079094
2018-09-10 16:14 kgv Assigned To kgv => san
2018-09-10 16:14 kgv Status new => resolved
2018-09-10 19:04 kgv Note Edited: 0079094 View Revisions
2018-09-11 19:44 san Note Added: 0079133
2018-09-11 19:44 san Assigned To san => bugmaster
2018-09-11 19:44 san Status resolved => reviewed
2018-09-11 20:31 bugmaster Test case number => Not needed
2018-09-11 20:31 bugmaster Status reviewed => tested
2018-09-11 20:31 bugmaster Note Added: 0079136
2018-09-15 17:11 bugmaster Changeset attached => occt master c60ec7f5
2018-09-15 17:11 bugmaster Status tested => verified
2018-09-15 17:11 bugmaster Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker